Page 1 of 1

Upgrade from 8.8.8_GA_3008.NETWORK to 8.8.9 fails

Posted: Wed Aug 01, 2018 5:04 am
by zmbr16
Hello,

Upgrade from 8.8.8_GA_3008.NETWORK to 8.8.9 fails with the following message in an install log file:

Code: Select all

package zimbra-common-core-jar-1.0.0.1531215702-1.r7.x86_64 (which is newer than zimbra-common-core-jar-1.0.0.1530601706-1.r7.x86_64) is already installed


Did anyone experience the issue, and was able to resolve it.

I've reported the issue to Zimbra support on 25 July, with no success.

Thank you in advance for any help.

Best regards,
Alex.

Re: Upgrade from 8.8.8_GA_3008.NETWORK to 8.8.9 fails

Posted: Wed Aug 01, 2018 11:41 am
by axslingr

Re: Upgrade from 8.8.8_GA_3008.NETWORK to 8.8.9 fails

Posted: Wed Aug 01, 2018 9:53 pm
by zmbr16
Thanks, Lance.

I saw that post, and unfortunately, that's not exactly my issue. I don't have that package to uninstall.

Re: Upgrade from 8.8.8_GA_3008.NETWORK to 8.8.9 fails

Posted: Mon Aug 06, 2018 3:47 pm
by maumar
Same here
cat /etc/centos-release
CentOS Linux release 7.5.1804 (Core)

=> ZCS upgrade from 8.8.8 to 8.8.9 will be performed.


Code: Select all

  Preparing...                          ########################################
        package zimbra-common-core-jar-1.0.0.1531215702-1.r7.x86_64 (which is newer than zimbra-common-core-jar-1.0.0.1530601706-1.r7.x86_64) is already installed

Re: Upgrade from 8.8.8_GA_3008.NETWORK to 8.8.9 fails

Posted: Tue Aug 07, 2018 3:52 am
by zmbr16
Unfortunately, Zimbra support is of very little help. I've provided them with a Zimbra installer log file, from /tmp.
Now, they're asking me to re-run the upgrade once again, and send them all of the /tmp log files.

Does the error message simply means, that the Zimbra 8.8.9 package includes an older package, that is provided with 8.8.8 or an 8.8.8 patch?

Re: Upgrade from 8.8.8_GA_3008.NETWORK to 8.8.9 fails

Posted: Wed Aug 08, 2018 9:04 am
by andrey.ivanov
I've managed to upgrade yesterday 8.8.8_P8 -> 8.8.9_P2 on RHEL/CentOS6. I had the same problem with the zimbra-common-core-jar package being more recent then the one in 8.8.9_GA:

Code: Select all

Preparing... ##################################################
package zimbra-common-core-jar-1.0.0.1531215702-1.r6.x86_64 (which is newer than zimbra-common-core-jar-1.0.0.1530601706-1.r6.x86_64) is already installed


Made a ticket, Zimbra support has instructed me to use

Code: Select all

./install.sh --force-upgrade


It has worked perfectly on zimbra mailbox nodes. However when i started upgrading the proxy nodes (containing only proxy and memcached services) it has completely broken the proxy configuration.
The installer told me it was unable to contact the ldap server (the installer has chosen localhost as LDAP server!) and then it asked me all the questions as it it were a new installation of proxy. In the end it has worked but it has created false services for this "localhost" which appeared failed in zimbra admin monitoring interface. I have fixed it using https://wiki.zimbra.com/wiki/Server_status_in_the_admin_console_shows_an_extra_entry_for_%22localhost%22,_with_all_services_crossed_out :

Code: Select all

zmloggerhostmap -d localhost localhost


Other than that, things seem to be fine.

Re: Upgrade from 8.8.8_GA_3008.NETWORK to 8.8.9 fails

Posted: Fri Aug 10, 2018 1:26 pm
by zmbr16
Thank you, Andrey!

I'll try it.

Best,
Alex.